RubyGems Navigation menu

reverse-require 0.1.1

reverse_require requires specific files from the gems which depend on a certain RubyGem and contain the specified path. Using reverse_require one can allow others to easily extend the functionality of a RubyGem. Simply add reverse_require into the code of your RubyGem: reverse_require 'my_gem', 'some/path' Then other gems which depend upon +my_gem+ merely have to provide <tt>some/path</tt> within their <tt>lib/</tt> directory, and reverse_require will load them all at run-time. This ability makes designing plug-in systems for a RubyGem trivial.

Versions:

  1. 0.3.1 - July 25, 2009 (6 KB)
  2. 0.3.0 - July 25, 2009 (6 KB)
  3. 0.2.0 - July 25, 2009 (5.5 KB)
  4. 0.1.2 - July 25, 2009 (6 KB)
  5. 0.1.1 - July 25, 2009 (6 KB)
Show all versions (6 total)

Development Dependencies (1):

  • hoe >= 1.7.0
  • Owners:

    Authors:

    • Postmodern Modulus III

    SHA 256 checksum:

    e5330d5cd6e926945d5a77edb7ceae3c00e402330725f24e029d6b4cb0c9c343

    Total downloads 16,134

    For this version 2,515

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: None

    Links: